PoolableConnectionMXBean (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.dbcp.dbcp2

## Interface PoolableConnectionMXBean

- All Known Implementing Classes:
    PoolableConnection, PoolableManagedConnection

      public interface PoolableConnectionMXBean

  Defines the attributes and methods that will be exposed via JMX for `PoolableConnection` instances.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCachedState()`
    `void` | `clearWarnings()`
    `void` | `close()`
    `boolean` | `getAutoCommit()`
    `boolean` | `getCacheState()`
    `String` | `getCatalog()`
    `int` | `getHoldability()`
    `String` | `getSchema()`
    `String` | `getToString()`
    `int` | `getTransactionIsolation()`
    `boolean` | `isClosed()`
    `boolean` | `isReadOnly()`
    `void` | `reallyClose()`
    `void` | `setAutoCommit(boolean autoCommit)`
    `void` | `setCacheState(boolean cacheState)`
    `void` | `setCatalog(String catalog)`
    `void` | `setHoldability(int holdability)`
    `void` | `setReadOnly(boolean readOnly)`
    `void` | `setSchema(String schema)`
    `void` | `setTransactionIsolation(int level)`

- - ### Method Detail

    - #### isClosed

          boolean isClosed()
                    throws SQLException

      Throws:
        `SQLException`

    - #### getToString

          String getToString()

    - #### getAutoCommit

          boolean getAutoCommit()
                         throws SQLException

      Throws:
        `SQLException`

    - #### setAutoCommit

          void setAutoCommit(boolean autoCommit)
                      throws SQLException

      Throws:
        `SQLException`

    - #### getCacheState

          boolean getCacheState()

    - #### setCacheState

          void setCacheState(boolean cacheState)

    - #### getCatalog

          String getCatalog()
                     throws SQLException

      Throws:
        `SQLException`

    - #### setCatalog

          void setCatalog(String catalog)
                   throws SQLException

      Throws:
        `SQLException`

    - #### getHoldability

          int getHoldability()
                      throws SQLException

      Throws:
        `SQLException`

    - #### setHoldability

          void setHoldability(int holdability)
                       throws SQLException

      Throws:
        `SQLException`

    - #### isReadOnly

          boolean isReadOnly()
                      throws SQLException

      Throws:
        `SQLException`

    - #### setReadOnly

          void setReadOnly(boolean readOnly)
                    throws SQLException

      Throws:
        `SQLException`

    - #### getSchema

          String getSchema()
                    throws SQLException

      Throws:
        `SQLException`

    - #### setSchema

          void setSchema(String schema)
                  throws SQLException

      Throws:
        `SQLException`

    - #### getTransactionIsolation

          int getTransactionIsolation()
                               throws SQLException

      Throws:
        `SQLException`

    - #### setTransactionIsolation

          void setTransactionIsolation(int level)
                                throws SQLException

      Throws:
        `SQLException`

    - #### clearCachedState

          void clearCachedState()

    - #### clearWarnings

          void clearWarnings()
                      throws SQLException

      Throws:
        `SQLException`

    - #### close

          void close()
              throws SQLException

      Throws:
        `SQLException`

    - #### reallyClose

          void reallyClose()
                    throws SQLException

      Throws:
        `SQLException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.